Subject: Re: EXT_DIRECT IDE Mode

From: Steven Scholz <[email-masked]>
Date: Thu, 12 Feb 2004 10:42:13 +0100

DavidHo,

> I'm using a variant of the 2.4.18 kernel from timesys.
>
> The kernel is compiled with those settings.  (in your email)
>
> I had to add a call to m8xx_ide_init in m8xx-setup.c at the end of
> platform_init.
>
> I can only find these defines in ide-m8xx.c.  I am thinking there must be
> more to it than the one file.

Hmm. 2.4.18 is pretty old. I don't know if there's support for MPC8xx IDE!

CONFIG_IDE_EXT_DIRECT was introduced long (!) after
CONFIG_IDE_8xx_PCCARD and CONFIG_IDE_8xx_DIRECT.

Did you add the code for IDE_EXT_DIRECT yourself?

Steven

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/